Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class X9Curve

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x9.X9Curve

All Implemented Interfaces:
  DEREncodable, X9ObjectIdentifiers

public class X9Curve
extends java.lang.Object
implements DEREncodable, X9ObjectIdentifiers

ASN.1 def for Elliptic-Curve Curve structure. See X9.62, for further details.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.x9.X9ObjectIdentifiers
`ansi_X9_62, characteristic_two_field, dhpublicnumber, ecdsa_with_SHA1, ellipticCurve, gnBasis, id_dsa, id_dsa_with_sha1, id_ecPublicKey, id_ecSigType, id_fieldType, id_publicKeyType, ppBasis, prime_field, prime192v1, prime192v2, prime192v3, prime239v1, prime239v2, prime239v3, prime256v1, primeCurve, tpBasis`

Constructor Summary
`X9Curve(ECCurve curve)`
`X9Curve(ECCurve curve, byte[] seed)`
`X9Curve(X9FieldID fieldID, ASN1Sequence seq)`

Method Summary
`ECCurve` | `getCurve()`
`DERObject` | `getDERObject()` Produce an object suitable for an ASN1OutputStream.
`byte[]` | `getSeed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9Curve

    public X9Curve(ECCurve curve)

### X9Curve

    public X9Curve(ECCurve curve,
                   byte[] seed)

### X9Curve

    public X9Curve(X9FieldID fieldID,
                   ASN1Sequence seq)

Method Detail

### getCurve

    public ECCurve getCurve()

### getSeed

    public byte[] getSeed()

### getDERObject

    public DERObject getDERObject()

  Produce an object suitable for an ASN1OutputStream.

        Curve ::= SEQUENCE {
            a               FieldElement,
            b               FieldElement,
            seed            BIT STRING      OPTIONAL
        }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD